libebook::MobiPocketParser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
libebook::MobiPocketParser Class Reference

`#include <MobiPocketParser.h>`

Inheritance diagram for libebook::MobiPocketParser:

## Public Member Functions
| MobiPocketParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual | ~MobiPocketParser ()
Public Member Functions inherited from libebook::PDBParser
virtual | ~PDBParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| MobiPocketParser (const MobiPocketParser &other)
MobiPocketParser & | operator= (const MobiPocketParser &other)
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool last=false)

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDBParser
| PDBParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Constructor & Destructor Documentation

## ◆ MobiPocketParser() [1/2]

libebook::MobiPocketParser::MobiPocketParser | ( | const MobiPocketParser & | other | ) |
| private

## ◆ MobiPocketParser() [2/2]

libebook::MobiPocketParser::MobiPocketParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## ◆ ~MobiPocketParser()

libebook::MobiPocketParser::~MobiPocketParser | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ checkType()

bool libebook::MobiPocketParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

## ◆ operator=()

MobiPocketParser& libebook::MobiPocketParser::operator= | ( | const MobiPocketParser & | other | ) |
| private

## ◆ readAppInfoRecord()

void libebook::MobiPocketParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDBParser.

## ◆ readDataRecord()

void libebook::MobiPocketParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last = `false`
| ) |  |
| privatevirtual

Implements libebook::PDBParser.

## ◆ readIndexRecord()

void libebook::MobiPocketParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDBParser.

## ◆ readSortInfoRecord()

void libebook::MobiPocketParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDBParser.

The documentation for this class was generated from the following files:

- MobiPocketParser.h
- MobiPocketParser.cpp